Skip to main content
GET
/
devices
[beta] List devices.
curl --request GET \
  --url https://api.samsara.com/devices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "281474982859091",
        "name": "MyAsset-1234"
      },
      "model": "AG24",
      "serial": "ABCD-123-EFG",
      "health": {
        "healthDetails": {
          "cameraDetails": {
            "gatewayLastConnectedTime": "2019-06-13T19:08:25Z",
            "lastFiftyHoursUptimePercentage": 95.5,
            "vehicleGatewaySerial": "VG-1234-5678"
          },
          "gatewayDetails": {
            "cellConnectivity": {
              "operator": "AT&T",
              "signalBar": "1/4"
            },
            "gatewayBatteryState": "critical",
            "gatewayBatteryTemp": 25.5,
            "gatewayBatteryVolts": 12.5,
            "lastCheckInTime": "2019-06-13T19:08:25Z",
            "vehicleBatteryVolts": 12.5
          }
        },
        "healthReasons": [
          {
            "healthReasonCode": "assetUnplugged",
            "startTime": "2019-06-13T19:08:25Z"
          }
        ],
        "healthStatus": "dataPending",
        "primaryHealthReason": "assetUnplugged",
        "primaryHealthReasonStartTime": "2019-06-13T19:08:25Z",
        "recommendedAction": "recommendedActionAgHealthy"
      },
      "lastConnectedTime": "2019-06-13T19:08:25Z",
      "lastKnownLocation": {
        "id": 12345,
        "latitude": 12333122.3,
        "longitude": 1233331.4
      },
      "tags": [
        {
          "id": "3914",
          "name": "East Coast",
          "parentTagId": "4815"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

models
string[]

Optional string of comma separated device models. Valid values: CM31, CM32, CM33, CM34, VG34, VG34M, VG34EU, VG34FN, VG54NA, VG54EU, VG55NA, VG55EU, AG24, AG24EU, AG26, AG26EU, AG45, AG45EU, AG46, AG46EU, AG46P, AG46PEU, AG51, AG51EU, AG52, AG52EU, AG53, AG53EU

healthStatuses
string[]

Optional string of comma separated device health statuses. Valid values: healthy, needsAttention, needsReplacement, dataPending.

includeHealth
boolean

Optional boolean to control whether device health information is returned in the response. Defaults to false.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

The limit for how many objects will be in the response. Default and max for this value is 100 objects.

Required range: 1 <= x <= 100
includeTags
boolean

Optional boolean to control whether tags are returned in the response. Defaults to false.

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

Response

OK response.

data
object[]
required

List of device objects.

pagination
object
required

Pagination parameters.